<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapc__disc__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapc_disc_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap_central.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1a848cc99d13599c4451a69ef58a7a6f41" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_disc_info_t::discProcedure</definition>
        <argsstring />
        <name>discProcedure</name>
        <briefdescription>
<para>Observation and discovery procedure. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAPC_OBSER_PROCEDURE (Observation procedure)</para></listitem><listitem><para>CY_BLE_GAPC_LTD_DISC_PROCEDURE (Limited discovery procedure)</para></listitem><listitem><para>CY_BLE_GAPC_GEN_DISC_PROCEDURE (General discovery procedure) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="120" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="120" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1afb3d41f4260d5ce5f5e9ccae602b0979" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_disc_info_t::scanType</definition>
        <argsstring />
        <name>scanType</name>
        <briefdescription>
<para>Type of scan to perform. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAPC_PASSIVE_SCANNING (Passive Scanning)</para></listitem><listitem><para>CY_BLE_GAPC_ACTIVE_SCANNING (Active scanning) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="126" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1ae1de095e9ba907a02708da0f8e15be84" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_disc_info_t::scanIntv</definition>
        <argsstring />
        <name>scanIntv</name>
        <briefdescription>
<para>The time interval from when last LE scan is started until next subsequent LE scan. </para>        </briefdescription>
        <detaileddescription>
<para>Range: 0x0004 to 0x4000 Unit: 0.625 msec Time Range: 2.5 ms to 10.24 sec. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="133" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="133" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1a7d13db1033b1510ed013f964078ed4bb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_disc_info_t::scanWindow</definition>
        <argsstring />
        <name>scanWindow</name>
        <briefdescription>
<para>The time duration of scanning to be performed Range: 0x0004 to 0x4000 Unit: 0.625 msec Time Range: 2.5 ms to 10.24 sec. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="140" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="140" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1a679cf1cbfbfb013968cb5f1069b4a35e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_disc_info_t::ownAddrType</definition>
        <argsstring />
        <name>ownAddrType</name>
        <briefdescription>
<para>Own BD Address Type. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_PUBLIC_RPA</para></listitem><listitem><para>CY_BLE_GAP_ADDR_TYPE_RANDOM_RPA </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="148" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1ac674f8c0b28dba3872e31b899c12e282" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_disc_info_t::scanFilterPolicy</definition>
        <argsstring />
        <name>scanFilterPolicy</name>
        <briefdescription>
<para>Filter policies to be applied during scanning procedure. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_BLE_GAPC_ADV_ACCEPT_ALL_PKT</para></listitem><listitem><para>CY_BLE_GAPC_ADV_ACCEPT_WHITELIST_PKT</para></listitem><listitem><para>CY_BLE_GAPC_ADV_ACCEPT_DIRECTED_RPA_PKT</para></listitem><listitem><para>CY_BLE_GAPC_ADV_ACCEPT_WHITELIST_DIRECTED_RPA_PKT </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1ab1390d9bf84571a0df3f1f29b0545df0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_disc_info_t::scanTo</definition>
        <argsstring />
        <name>scanTo</name>
        <briefdescription>
<para>Scan time out is in seconds. </para>        </briefdescription>
        <detaileddescription>
<para>If time out is set to 0, then there will not be any time out. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="160" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="160" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__disc__info__t_1ab9bbfbce3e5688f1868327126bd0e2aa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_disc_info_t::filterDuplicates</definition>
        <argsstring />
        <name>filterDuplicates</name>
        <briefdescription>
<para>Filter Duplicate Advertisements. </para>        </briefdescription>
        <detaileddescription>
<para>This parameter controls whether the Link Layer shall filter duplicate advertising reports to the Host, or whether the Link Layer should generate advertising reports for each packet received.<itemizedlist>
<listitem><para>CY_BLE_GAPC_FILTER_DUP_DISABLE (Duplicate filtering disabled)</para></listitem><listitem><para>CY_BLE_GAPC_FILTER_DUP_ENABLE (Duplicate filtering enabled)</para></listitem></itemizedlist>
</para><para>By default, duplicate filtering is enabled </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="170" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="170" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Discovery (scan) parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="172" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_central.h" line="114" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1a848cc99d13599c4451a69ef58a7a6f41" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>discProcedure</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1ab9bbfbce3e5688f1868327126bd0e2aa" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>filterDuplicates</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1a679cf1cbfbfb013968cb5f1069b4a35e" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>ownAddrType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1ac674f8c0b28dba3872e31b899c12e282" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>scanFilterPolicy</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1ae1de095e9ba907a02708da0f8e15be84" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>scanIntv</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1ab1390d9bf84571a0df3f1f29b0545df0" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>scanTo</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1afb3d41f4260d5ce5f5e9ccae602b0979" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>scanType</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__disc__info__t_1a7d13db1033b1510ed013f964078ed4bb" virt="non-virtual"><scope>cy_stc_ble_gapc_disc_info_t</scope><name>scanWindow</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>